## org.eclipse.datatools.modelbase.dbdefinition
Class LengthUnit

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.dbdefinition.LengthUnit

public final class LengthUnit
extends AbstractEnumerator

A representation of the literals of the enumeration 'Length Unit', and utility methods for working with them.

See Also:
  `DatabaseDefinitionPackage.getLengthUnit()`, Serialized Form

Field Summary
`static int` `BIT` The 'BIT' literal value.
`static LengthUnit` `BIT_LITERAL` The 'BIT' literal object.
`static int` `BYTE` The 'BYTE' literal value.
`static LengthUnit` `BYTE_LITERAL` The 'BYTE' literal object.
`static int` `DECIMAL` The 'DECIMAL' literal value.
`static LengthUnit` `DECIMAL_LITERAL` The 'DECIMAL' literal object.
`static int` `DOUBLE_BYTE` The 'DOUBLE BYTE' literal value.
`static LengthUnit` `DOUBLE_BYTE_LITERAL` The 'DOUBLE BYTE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Length Unit' enumerators.

Method Summary
`static LengthUnit` `get(int value)` Returns the 'Length Unit' literal with the specified value.
`static LengthUnit` `get(java.lang.String name)` Returns the 'Length Unit' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DECIMAL

    public static final int DECIMAL

  The 'DECIMAL' literal value.

  See Also:
    `DECIMAL_LITERAL`, Constant Field Values

### BIT

    public static final int BIT

  The 'BIT' literal value.

  See Also:
    `BIT_LITERAL`, Constant Field Values

### BYTE

    public static final int BYTE

  The 'BYTE' literal value.

  See Also:
    `BYTE_LITERAL`, Constant Field Values

### DOUBLE_BYTE

    public static final int DOUBLE_BYTE

  The 'DOUBLE BYTE' literal value.

  See Also:
    `DOUBLE_BYTE_LITERAL`, Constant Field Values

### DECIMAL_LITERAL

    public static final LengthUnit DECIMAL_LITERAL

  The 'DECIMAL' literal object.

  If the meaning of 'DECIMAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DECIMAL`

### BIT_LITERAL

    public static final LengthUnit BIT_LITERAL

  The 'BIT' literal object.

  If the meaning of 'BIT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BIT`

### BYTE_LITERAL

    public static final LengthUnit BYTE_LITERAL

  The 'BYTE' literal object.

  If the meaning of 'BYTE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BYTE`

### DOUBLE_BYTE_LITERAL

    public static final LengthUnit DOUBLE_BYTE_LITERAL

  The 'DOUBLE BYTE' literal object.

  If the meaning of 'DOUBLE BYTE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOUBLE_BYTE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Length Unit' enumerators.

Method Detail

### get

    public static LengthUnit get(java.lang.String name)

  Returns the 'Length Unit' literal with the specified name.

### get

    public static LengthUnit get(int value)

  Returns the 'Length Unit' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.